body 
{ 
    font-size: 2em;
    overflow: scroll;
}

#failed, #success { margin-bottom: 20px; } 

#guide 
{
    position: absolute;
    top: 0;
    left: 0;
}

#guide-button:link, #guide-button:visited, #guide-button:hover, #guide-button:active { text-decoration: none; }

#guide-button:focus, #switch { outline: none; }

#main 
{
    min-height: 140px;
    padding: 1em;
    background-color: #000;
    overflow: auto;
}

#result 
{ 
    margin-bottom: 1.5em;
    clear: both;
}

#title { margin-top: 30px; }

.block 
{
    display: inline-block;
    position: relative;
    height: 50px;
    width: 50px;
    border-radius: 50%;
    background-color: #aaa;
    line-height: 50px;
}

.active 
{ 
    background-color: #ddd; 
    cursor: pointer;
}

.description { font-size: 14px; }

.error { border: 2px solid #f00; }

.path 
{
    background-color: #72bd00;
    color: #fff;
}

.row { white-space: nowrap; }